<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia.locale.php");
require_once("../includes/funciones_generales.php");
$sesion->set('permiso',permisos($_POST['privilegio']));	
if(!headers_sent())
    ob_start("ob_gzhandler"); 
	
function compress_page($buffer) { $search = array('/\>[^\S ]+/s','/[^\S ]+\</s','/(\s)+/s'); $replace = array('> ',' <','\\1'); return preg_replace($search, $replace, $buffer); }
ob_start("compress_page");


if(!comprobar_sesion()){ 
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}
require_once("../includes/phpqrcode/qrlib.php");
require_once("../includes/MySQL.php");
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	
	$iduser=$sesion->get('ac_userid');
	$tipouser=$sesion->get('ac_tipo_user');
	$codrector=$sesion->getVar('cod_cmps.cd_recto');
	$codadmin=$sesion->getVar('cod_cmps.cd_admin');
	$codsecre=$sesion->getVar('cod_cmps.cd_secret');
	$codCordinadorAcademico=$sesion->getVar('cod_cmps.cd_coraca');
	$codCordinadorDisciplina=$sesion->getVar('cod_cmps.cd_cordis');
	$codsecre=$sesion->getVar('cod_cmps.cd_secret');
	$configuracion=$sesion->get('configuracion');
	$nombre_grupo=$configuracion['nombres_grupos'];
	
	$grado=$academia->escapar($_GET['grado']); 
	$id_gr=$academia->escapar($_GET['id_gr']); 
	$grupo=$academia->escapar($_GET['grupo'],'int');
	$director=$academia->escapar($_GET['dir']);
	$jornada=$academia->escapar($_GET['jorn']);
	$cod_estudiantes=$academia->escapar($_GET['est']);
	$cod_estudiantes=str_replace(",",'|',$cod_estudiantes);
	$sede=$academia->escapar(ucwords($_GET['sede'])); 
	$seccion=$academia->escapar($_GET['secc']); 
	$periodon=$academia->escapar($_GET['peri'],'int'); 
	$nroEstudiantes=$academia->escapar($_GET['nroest'],'int'); 
	
	switch ($periodon) {
		case 1:
			$periodo= "Primero";
		break;
		case 2:
			$periodo= "Segundo";
		break;
		case 3:
			$periodo= "Tercero";
		break;
		case 4:
			$periodo= "Cuarto";
		break;
		case 5:
			$periodo= "Quinto";
		break;
		case 6:
			$periodo= "Sexto";
		break;
		case 7:
			$periodo= "Séptimo";
		break;
		case 8:
			$periodo= "Octavo";
		break;
		case 9:
			$periodo= "Noveno";
		break;
		case 10:
			$periodo= "Décimo";
		break;
		case 11:
			$periodo= "Décimo Primero";
		break;
		case 12:
			$periodo= "Décimo Segundo";
		break;
	} 
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Boletines</title>
<script type="text/javascript" src="../js/jquery.js"></script>
<link href="../css/formato_boletin.css" rel="stylesheet" type="text/css">
<script type="text/javascript">
$(document).ready(function(e) {
	var img=$('img:not(.codbar)'); 
	img.each(function(index, element) {
		var src=$(this).attr('src');
		$(this).attr('src','../'+src);	
	});
	//window.print();
	//window.close();
});  
</script>

</head>
<body>
	<?php 
		$frm_bol_gral=$sesion->getVar('info_colegio.formato_boletin_gral');
		$frm_bol_pres=$sesion->getVar('info_colegio.formato_boletin_pres');
		$frm_bol_gral_fnl=$sesion->getVar('info_colegio.formato_boletin_pres_fnl');
		$frm_bol_pres_fnl=$sesion->getVar('info_colegio.formato_boletin_gral_fnl');
		
		$frm_bol_gral=(empty($frm_bol_gral)) ? 'fn1' : $frm_bol_gral;
		$frm_bol_pres=(empty($frm_bol_pres)) ? 'fp1' : $frm_bol_pres;
		$frm_bol_gral_fnl=(empty($frm_bol_gral_fnl)) ? 'fnfin1' : $frm_bol_gral_fnl;
		$frm_bol_pres_fnl=(empty($frm_bol_pres_fnl)) ? 'fpfin1' : $frm_bol_pres_fnl;		

		
		if($id_gr>=1)
			$boletin="imprime_boletin_gral_".$frm_bol_gral.".php";
		else
			$boletin="imprime_boletin_preescolar_".$frm_bol_pres.".php";
		include_once $boletin;
	?>
</body>
</html>
